<?php

namespace Payktm;

/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'CommonHeader' => '\\Payktm\\StructType\\CommonHeader',
            'ResponseValidDealerForBatch' => '\\Payktm\\StructType\\ResponseValidDealerForBatch',
            'ResponseHeader' => '\\Payktm\\StructType\\ResponseHeader',
            'ResponseUnSelectServiceQuery' => '\\Payktm\\StructType\\ResponseUnSelectServiceQuery',
            'ResponseTransferRecordQuery' => '\\Payktm\\StructType\\ResponseTransferRecordQuery',
            'ResponseTransferCancel' => '\\Payktm\\StructType\\ResponseTransferCancel',
            'ResponseSelectServiceQuery' => '\\Payktm\\StructType\\ResponseSelectServiceQuery',
            'ResponseSaveDealerCardInfo' => '\\Payktm\\StructType\\ResponseSaveDealerCardInfo',
            'ResponseJudgeMposIsNormalPhone' => '\\Payktm\\StructType\\ResponseJudgeMposIsNormalPhone',
            'ResponseGetStaticDataByCodeType' => '\\Payktm\\StructType\\ResponseGetStaticDataByCodeType',
            'ResponseGetSRECardInfo' => '\\Payktm\\StructType\\ResponseGetSRECardInfo',
            'ResponseGetDealerSaleCardInfo' => '\\Payktm\\StructType\\ResponseGetDealerSaleCardInfo',
            'ResponseGetDealerCardInfo' => '\\Payktm\\StructType\\ResponseGetDealerCardInfo',
            'ResponseGetDealerBalance' => '\\Payktm\\StructType\\ResponseGetDealerBalance',
            'ResponseGetAllOrganize' => '\\Payktm\\StructType\\ResponseGetAllOrganize',
            'ResponseETopupTransfer' => '\\Payktm\\StructType\\ResponseETopupTransfer',
            'ResponseETopupThresholdCheck' => '\\Payktm\\StructType\\ResponseETopupThresholdCheck',
            'ResponseETopupRollback' => '\\Payktm\\StructType\\ResponseETopupRollback',
            'ResponseETopupRecordQuery2' => '\\Payktm\\StructType\\ResponseETopupRecordQuery2',
            'ResponseETopupRecordQuery' => '\\Payktm\\StructType\\ResponseETopupRecordQuery',
            'ResponseETopupModify' => '\\Payktm\\StructType\\ResponseETopupModify',
            'ResponseDo_checkDealer' => '\\Payktm\\StructType\\ResponseDo_checkDealer',
            'ResponseDeleteServiceInfoSave' => '\\Payktm\\StructType\\ResponseDeleteServiceInfoSave',
            'ResponseDeleteRetailers' => '\\Payktm\\StructType\\ResponseDeleteRetailers',
            'ResponseDealerTradePasswordChg' => '\\Payktm\\StructType\\ResponseDealerTradePasswordChg',
            'ResponseDealerServiceMaxQTYQry' => '\\Payktm\\StructType\\ResponseDealerServiceMaxQTYQry',
            'ResponseDealerServiceInfoUpdate' => '\\Payktm\\StructType\\ResponseDealerServiceInfoUpdate',
            'ResponseDealerServiceInfoSave' => '\\Payktm\\StructType\\ResponseDealerServiceInfoSave',
            'ResponseDealerPasswordChg' => '\\Payktm\\StructType\\ResponseDealerPasswordChg',
            'ResponseDealerInfoQueryByContactPhone' => '\\Payktm\\StructType\\ResponseDealerInfoQueryByContactPhone',
            'ResponseDealerInfoQuery' => '\\Payktm\\StructType\\ResponseDealerInfoQuery',
            'ResponseDealerInfoModify' => '\\Payktm\\StructType\\ResponseDealerInfoModify',
            'ResponseDealerFileInfoUpdate' => '\\Payktm\\StructType\\ResponseDealerFileInfoUpdate',
            'ResponseDealerFileInfoSave' => '\\Payktm\\StructType\\ResponseDealerFileInfoSave',
            'ResponseDealerFileInfoQuery' => '\\Payktm\\StructType\\ResponseDealerFileInfoQuery',
            'ResponseDealerFileInfoDelete' => '\\Payktm\\StructType\\ResponseDealerFileInfoDelete',
            'ResponseDealerApplySave' => '\\Payktm\\StructType\\ResponseDealerApplySave',
            'ResponseDealerAllInfoQuery' => '\\Payktm\\StructType\\ResponseDealerAllInfoQuery',
            'ResponseCheckMposNoIsRepeat' => '\\Payktm\\StructType\\ResponseCheckMposNoIsRepeat',
            'ResponseCheckDealerSalesBillId' => '\\Payktm\\StructType\\ResponseCheckDealerSalesBillId',
            'ResponseCheckDealerPassword' => '\\Payktm\\StructType\\ResponseCheckDealerPassword',
            'ResponseCheckDealer' => '\\Payktm\\StructType\\ResponseCheckDealer',
            'ResponseCardRecall' => '\\Payktm\\StructType\\ResponseCardRecall',
            'ValidDealerForBatchReq' => '\\Payktm\\StructType\\ValidDealerForBatchReq',
            'DealerInfo' => '\\Payktm\\StructType\\DealerInfo',
            'CommonRsp' => '\\Payktm\\StructType\\CommonRsp',
            'BsStaticData' => '\\Payktm\\StructType\\BsStaticData',
            'UnSelectServiceReq' => '\\Payktm\\StructType\\UnSelectServiceReq',
            'UnSelectServiceRsp' => '\\Payktm\\StructType\\UnSelectServiceRsp',
            'UnSelectService' => '\\Payktm\\StructType\\UnSelectService',
            'DepositConfig' => '\\Payktm\\StructType\\DepositConfig',
            'ETopupRecordReq' => '\\Payktm\\StructType\\ETopupRecordReq',
            'ETopupRecordRsp' => '\\Payktm\\StructType\\ETopupRecordRsp',
            'ETopupRecord' => '\\Payktm\\StructType\\ETopupRecord',
            'SelectServiceReq' => '\\Payktm\\StructType\\SelectServiceReq',
            'SelectServiceRsp' => '\\Payktm\\StructType\\SelectServiceRsp',
            'DealerService' => '\\Payktm\\StructType\\DealerService',
            'DealerCardInfoReq' => '\\Payktm\\StructType\\DealerCardInfoReq',
            'DealerCard' => '\\Payktm\\StructType\\DealerCard',
            'DealerCardInfoRsp' => '\\Payktm\\StructType\\DealerCardInfoRsp',
            'CommonPartnerReq' => '\\Payktm\\StructType\\CommonPartnerReq',
            'DealerCardReq' => '\\Payktm\\StructType\\DealerCardReq',
            'DealerCardRsp' => '\\Payktm\\StructType\\DealerCardRsp',
            'WsDemandSummaryRsp' => '\\Payktm\\StructType\\WsDemandSummaryRsp',
            'WsDemandSummary' => '\\Payktm\\StructType\\WsDemandSummary',
            'BalanceInfoReq' => '\\Payktm\\StructType\\BalanceInfoReq',
            'BalanceInfoRsp' => '\\Payktm\\StructType\\BalanceInfoRsp',
            'SecOrganizeRsp' => '\\Payktm\\StructType\\SecOrganizeRsp',
            'SecOrganize' => '\\Payktm\\StructType\\SecOrganize',
            'ETopupTransferReq' => '\\Payktm\\StructType\\ETopupTransferReq',
            'ETopupTransferRsp' => '\\Payktm\\StructType\\ETopupTransferRsp',
            'ETopupThresholdCheckReq' => '\\Payktm\\StructType\\ETopupThresholdCheckReq',
            'ETopupThresholdCheckRsp' => '\\Payktm\\StructType\\ETopupThresholdCheckRsp',
            'ETopupRollbackReq' => '\\Payktm\\StructType\\ETopupRollbackReq',
            'ETopupRollbackRsp' => '\\Payktm\\StructType\\ETopupRollbackRsp',
            'ETopupConfigReq' => '\\Payktm\\StructType\\ETopupConfigReq',
            'ETopupConfig' => '\\Payktm\\StructType\\ETopupConfig',
            'ETopupConfigRsp' => '\\Payktm\\StructType\\ETopupConfigRsp',
            'CheckDealerReq' => '\\Payktm\\StructType\\CheckDealerReq',
            'DealerServiceSaveReq' => '\\Payktm\\StructType\\DealerServiceSaveReq',
            'DealerServiceSaveRsp' => '\\Payktm\\StructType\\DealerServiceSaveRsp',
            'DeleteRetailerInfoReq' => '\\Payktm\\StructType\\DeleteRetailerInfoReq',
            'DeleteRetailerInfoRsp' => '\\Payktm\\StructType\\DeleteRetailerInfoRsp',
            'DealerTradePasswordChgReq' => '\\Payktm\\StructType\\DealerTradePasswordChgReq',
            'DealerTradePasswordChgRsp' => '\\Payktm\\StructType\\DealerTradePasswordChgRsp',
            'DealerServiceMaxQTYReq' => '\\Payktm\\StructType\\DealerServiceMaxQTYReq',
            'DealerServiceMaxQTYRsp' => '\\Payktm\\StructType\\DealerServiceMaxQTYRsp',
            'DealerPasswordChgReq' => '\\Payktm\\StructType\\DealerPasswordChgReq',
            'DealerPasswordChgRsp' => '\\Payktm\\StructType\\DealerPasswordChgRsp',
            'DealerInfoQueryReq' => '\\Payktm\\StructType\\DealerInfoQueryReq',
            'DealerInfoQueryRsp' => '\\Payktm\\StructType\\DealerInfoQueryRsp',
            'DealerInfoModifyReq' => '\\Payktm\\StructType\\DealerInfoModifyReq',
            'DealerInfoModifyRsp' => '\\Payktm\\StructType\\DealerInfoModifyRsp',
            'DealerFileInfoSaveReq' => '\\Payktm\\StructType\\DealerFileInfoSaveReq',
            'DealerFileInfo' => '\\Payktm\\StructType\\DealerFileInfo',
            'DealerFileInfoSaveRsp' => '\\Payktm\\StructType\\DealerFileInfoSaveRsp',
            'DealerFileInfoReq' => '\\Payktm\\StructType\\DealerFileInfoReq',
            'DealerFileInfoRsp' => '\\Payktm\\StructType\\DealerFileInfoRsp',
            'DealerApplySaveReq' => '\\Payktm\\StructType\\DealerApplySaveReq',
            'Attachment' => '\\Payktm\\StructType\\Attachment',
            'ContractInfo' => '\\Payktm\\StructType\\ContractInfo',
            'DealerApplySaveRsp' => '\\Payktm\\StructType\\DealerApplySaveRsp',
            'DealerAllInfoQueryReq' => '\\Payktm\\StructType\\DealerAllInfoQueryReq',
            'DealerAllInfoQueryRsp' => '\\Payktm\\StructType\\DealerAllInfoQueryRsp',
            'CheckMposNoIsRepeatReq' => '\\Payktm\\StructType\\CheckMposNoIsRepeatReq',
            'CheckMposNoIsRepeatRsp' => '\\Payktm\\StructType\\CheckMposNoIsRepeatRsp',
            'CheckDealerSalesReq' => '\\Payktm\\StructType\\CheckDealerSalesReq',
            'CheckDealerSalesRsp' => '\\Payktm\\StructType\\CheckDealerSalesRsp',
            'CheckDealerPasswordReq' => '\\Payktm\\StructType\\CheckDealerPasswordReq',
            'CheckDealerPasswordRsp' => '\\Payktm\\StructType\\CheckDealerPasswordRsp',
            'CheckDealerRsp' => '\\Payktm\\StructType\\CheckDealerRsp',
            'DealerLogin' => '\\Payktm\\StructType\\DealerLogin',
            'CrmPartner4OutException' => '\\Payktm\\StructType\\CrmPartner4OutException',
            'Exception' => '\\Payktm\\StructType\\Exception',
            'validDealerForBatch' => '\\Payktm\\StructType\\ValidDealerForBatch',
            'validDealerForBatchResponse' => '\\Payktm\\StructType\\ValidDealerForBatchResponse',
            'unSelectServiceQuery' => '\\Payktm\\StructType\\UnSelectServiceQuery',
            'unSelectServiceQueryResponse' => '\\Payktm\\StructType\\UnSelectServiceQueryResponse',
            'transferRecordQuery' => '\\Payktm\\StructType\\TransferRecordQuery',
            'transferRecordQueryResponse' => '\\Payktm\\StructType\\TransferRecordQueryResponse',
            'transferCancel' => '\\Payktm\\StructType\\TransferCancel',
            'transferCancelResponse' => '\\Payktm\\StructType\\TransferCancelResponse',
            'selectServiceQuery' => '\\Payktm\\StructType\\SelectServiceQuery',
            'selectServiceQueryResponse' => '\\Payktm\\StructType\\SelectServiceQueryResponse',
            'saveDealerCardInfo' => '\\Payktm\\StructType\\SaveDealerCardInfo',
            'saveDealerCardInfoResponse' => '\\Payktm\\StructType\\SaveDealerCardInfoResponse',
            'judgeMposIsNormalPhone' => '\\Payktm\\StructType\\JudgeMposIsNormalPhone',
            'judgeMposIsNormalPhoneResponse' => '\\Payktm\\StructType\\JudgeMposIsNormalPhoneResponse',
            'getStaticDataByCodeType' => '\\Payktm\\StructType\\GetStaticDataByCodeType',
            'getStaticDataByCodeTypeResponse' => '\\Payktm\\StructType\\GetStaticDataByCodeTypeResponse',
            'getSRECardInfo' => '\\Payktm\\StructType\\GetSRECardInfo',
            'getSRECardInfoResponse' => '\\Payktm\\StructType\\GetSRECardInfoResponse',
            'getDealerSaleCardInfo' => '\\Payktm\\StructType\\GetDealerSaleCardInfo',
            'getDealerSaleCardInfoResponse' => '\\Payktm\\StructType\\GetDealerSaleCardInfoResponse',
            'getDealerCardInfo' => '\\Payktm\\StructType\\GetDealerCardInfo',
            'getDealerCardInfoResponse' => '\\Payktm\\StructType\\GetDealerCardInfoResponse',
            'getDealerBalance' => '\\Payktm\\StructType\\GetDealerBalance',
            'getDealerBalanceResponse' => '\\Payktm\\StructType\\GetDealerBalanceResponse',
            'getAllOrganize' => '\\Payktm\\StructType\\GetAllOrganize',
            'getAllOrganizeResponse' => '\\Payktm\\StructType\\GetAllOrganizeResponse',
            'eTopupTransfer' => '\\Payktm\\StructType\\ETopupTransfer',
            'eTopupTransferResponse' => '\\Payktm\\StructType\\ETopupTransferResponse',
            'eTopupThresholdCheck' => '\\Payktm\\StructType\\ETopupThresholdCheck',
            'eTopupThresholdCheckResponse' => '\\Payktm\\StructType\\ETopupThresholdCheckResponse',
            'eTopupRollback' => '\\Payktm\\StructType\\ETopupRollback',
            'eTopupRollbackResponse' => '\\Payktm\\StructType\\ETopupRollbackResponse',
            'eTopupRecordQuery2' => '\\Payktm\\StructType\\ETopupRecordQuery2',
            'eTopupRecordQuery2Response' => '\\Payktm\\StructType\\ETopupRecordQuery2Response',
            'eTopupRecordQuery' => '\\Payktm\\StructType\\ETopupRecordQuery',
            'eTopupRecordQueryResponse' => '\\Payktm\\StructType\\ETopupRecordQueryResponse',
            'eTopupModify' => '\\Payktm\\StructType\\ETopupModify',
            'eTopupModifyResponse' => '\\Payktm\\StructType\\ETopupModifyResponse',
            'do_checkDealer' => '\\Payktm\\StructType\\Do_checkDealer',
            'do_checkDealerResponse' => '\\Payktm\\StructType\\Do_checkDealerResponse',
            'deleteServiceInfoSave' => '\\Payktm\\StructType\\DeleteServiceInfoSave',
            'deleteServiceInfoSaveResponse' => '\\Payktm\\StructType\\DeleteServiceInfoSaveResponse',
            'deleteRetailers' => '\\Payktm\\StructType\\DeleteRetailers',
            'deleteRetailersResponse' => '\\Payktm\\StructType\\DeleteRetailersResponse',
            'dealerTradePasswordChg' => '\\Payktm\\StructType\\DealerTradePasswordChg',
            'dealerTradePasswordChgResponse' => '\\Payktm\\StructType\\DealerTradePasswordChgResponse',
            'dealerServiceMaxQTYQry' => '\\Payktm\\StructType\\DealerServiceMaxQTYQry',
            'dealerServiceMaxQTYQryResponse' => '\\Payktm\\StructType\\DealerServiceMaxQTYQryResponse',
            'dealerServiceInfoUpdate' => '\\Payktm\\StructType\\DealerServiceInfoUpdate',
            'dealerServiceInfoUpdateResponse' => '\\Payktm\\StructType\\DealerServiceInfoUpdateResponse',
            'dealerServiceInfoSave' => '\\Payktm\\StructType\\DealerServiceInfoSave',
            'dealerServiceInfoSaveResponse' => '\\Payktm\\StructType\\DealerServiceInfoSaveResponse',
            'dealerPasswordChg' => '\\Payktm\\StructType\\DealerPasswordChg',
            'dealerPasswordChgResponse' => '\\Payktm\\StructType\\DealerPasswordChgResponse',
            'dealerInfoQueryByContactPhone' => '\\Payktm\\StructType\\DealerInfoQueryByContactPhone',
            'dealerInfoQueryByContactPhoneResponse' => '\\Payktm\\StructType\\DealerInfoQueryByContactPhoneResponse',
            'dealerInfoQuery' => '\\Payktm\\StructType\\DealerInfoQuery',
            'dealerInfoQueryResponse' => '\\Payktm\\StructType\\DealerInfoQueryResponse',
            'dealerInfoModify' => '\\Payktm\\StructType\\DealerInfoModify',
            'dealerInfoModifyResponse' => '\\Payktm\\StructType\\DealerInfoModifyResponse',
            'dealerFileInfoUpdate' => '\\Payktm\\StructType\\DealerFileInfoUpdate',
            'dealerFileInfoUpdateResponse' => '\\Payktm\\StructType\\DealerFileInfoUpdateResponse',
            'dealerFileInfoSave' => '\\Payktm\\StructType\\DealerFileInfoSave',
            'dealerFileInfoSaveResponse' => '\\Payktm\\StructType\\DealerFileInfoSaveResponse',
            'dealerFileInfoQuery' => '\\Payktm\\StructType\\DealerFileInfoQuery',
            'dealerFileInfoQueryResponse' => '\\Payktm\\StructType\\DealerFileInfoQueryResponse',
            'dealerFileInfoDelete' => '\\Payktm\\StructType\\DealerFileInfoDelete',
            'dealerFileInfoDeleteResponse' => '\\Payktm\\StructType\\DealerFileInfoDeleteResponse',
            'dealerApplySave' => '\\Payktm\\StructType\\DealerApplySave',
            'dealerApplySaveResponse' => '\\Payktm\\StructType\\DealerApplySaveResponse',
            'dealerAllInfoQuery' => '\\Payktm\\StructType\\DealerAllInfoQuery',
            'dealerAllInfoQueryResponse' => '\\Payktm\\StructType\\DealerAllInfoQueryResponse',
            'checkMposNoIsRepeat' => '\\Payktm\\StructType\\CheckMposNoIsRepeat',
            'checkMposNoIsRepeatResponse' => '\\Payktm\\StructType\\CheckMposNoIsRepeatResponse',
            'checkDealerSalesBillId' => '\\Payktm\\StructType\\CheckDealerSalesBillId',
            'checkDealerSalesBillIdResponse' => '\\Payktm\\StructType\\CheckDealerSalesBillIdResponse',
            'checkDealerPassword' => '\\Payktm\\StructType\\CheckDealerPassword',
            'checkDealerPasswordResponse' => '\\Payktm\\StructType\\CheckDealerPasswordResponse',
            'checkDealer' => '\\Payktm\\StructType\\CheckDealer',
            'checkDealerResponse' => '\\Payktm\\StructType\\CheckDealerResponse',
            'cardRecall' => '\\Payktm\\StructType\\CardRecall',
            'cardRecallResponse' => '\\Payktm\\StructType\\CardRecallResponse',
        );
    }
}
