<?php

namespace Payktm\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Attachment StructType
 * @subpackage Structs
 */
class Attachment extends AbstractStructBase
{
    /**
     * The attachmentId
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $attachmentId;
    /**
     * The attachmentName
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $attachmentName;
    /**
     * The attachmentPath
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $attachmentPath;
    /**
     * The attachmentSize
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $attachmentSize;
    /**
     * The attachmentType
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $attachmentType;
    /**
     * The businessType
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $businessType;
    /**
     * The contractId
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $contractId;
    /**
     * The createDate
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $createDate;
    /**
     * Constructor method for Attachment
     * @uses Attachment::setAttachmentId()
     * @uses Attachment::setAttachmentName()
     * @uses Attachment::setAttachmentPath()
     * @uses Attachment::setAttachmentSize()
     * @uses Attachment::setAttachmentType()
     * @uses Attachment::setBusinessType()
     * @uses Attachment::setContractId()
     * @uses Attachment::setCreateDate()
     * @param string $attachmentId
     * @param string $attachmentName
     * @param string $attachmentPath
     * @param string $attachmentSize
     * @param string $attachmentType
     * @param string $businessType
     * @param string $contractId
     * @param string $createDate
     */
    public function __construct($attachmentId = null, $attachmentName = null, $attachmentPath = null, $attachmentSize = null, $attachmentType = null, $businessType = null, $contractId = null, $createDate = null)
    {
        $this
            ->setAttachmentId($attachmentId)
            ->setAttachmentName($attachmentName)
            ->setAttachmentPath($attachmentPath)
            ->setAttachmentSize($attachmentSize)
            ->setAttachmentType($attachmentType)
            ->setBusinessType($businessType)
            ->setContractId($contractId)
            ->setCreateDate($createDate);
    }
    /**
     * Get attachmentId value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getAttachmentId()
    {
        return isset($this->attachmentId) ? $this->attachmentId : null;
    }
    /**
     * Set attachmentId value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $attachmentId
     * @return \Payktm\StructType\Attachment
     */
    public function setAttachmentId($attachmentId = null)
    {
        // validation for constraint: string
        if (!is_null($attachmentId) && !is_string($attachmentId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($attachmentId)), __LINE__);
        }
        if (is_null($attachmentId) || (is_array($attachmentId) && empty($attachmentId))) {
            unset($this->attachmentId);
        } else {
            $this->attachmentId = $attachmentId;
        }
        return $this;
    }
    /**
     * Get attachmentName value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getAttachmentName()
    {
        return isset($this->attachmentName) ? $this->attachmentName : null;
    }
    /**
     * Set attachmentName value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $attachmentName
     * @return \Payktm\StructType\Attachment
     */
    public function setAttachmentName($attachmentName = null)
    {
        // validation for constraint: string
        if (!is_null($attachmentName) && !is_string($attachmentName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($attachmentName)), __LINE__);
        }
        if (is_null($attachmentName) || (is_array($attachmentName) && empty($attachmentName))) {
            unset($this->attachmentName);
        } else {
            $this->attachmentName = $attachmentName;
        }
        return $this;
    }
    /**
     * Get attachmentPath value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getAttachmentPath()
    {
        return isset($this->attachmentPath) ? $this->attachmentPath : null;
    }
    /**
     * Set attachmentPath value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $attachmentPath
     * @return \Payktm\StructType\Attachment
     */
    public function setAttachmentPath($attachmentPath = null)
    {
        // validation for constraint: string
        if (!is_null($attachmentPath) && !is_string($attachmentPath)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($attachmentPath)), __LINE__);
        }
        if (is_null($attachmentPath) || (is_array($attachmentPath) && empty($attachmentPath))) {
            unset($this->attachmentPath);
        } else {
            $this->attachmentPath = $attachmentPath;
        }
        return $this;
    }
    /**
     * Get attachmentSize value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getAttachmentSize()
    {
        return isset($this->attachmentSize) ? $this->attachmentSize : null;
    }
    /**
     * Set attachmentSize value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $attachmentSize
     * @return \Payktm\StructType\Attachment
     */
    public function setAttachmentSize($attachmentSize = null)
    {
        // validation for constraint: string
        if (!is_null($attachmentSize) && !is_string($attachmentSize)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($attachmentSize)), __LINE__);
        }
        if (is_null($attachmentSize) || (is_array($attachmentSize) && empty($attachmentSize))) {
            unset($this->attachmentSize);
        } else {
            $this->attachmentSize = $attachmentSize;
        }
        return $this;
    }
    /**
     * Get attachmentType value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getAttachmentType()
    {
        return isset($this->attachmentType) ? $this->attachmentType : null;
    }
    /**
     * Set attachmentType value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $attachmentType
     * @return \Payktm\StructType\Attachment
     */
    public function setAttachmentType($attachmentType = null)
    {
        // validation for constraint: string
        if (!is_null($attachmentType) && !is_string($attachmentType)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($attachmentType)), __LINE__);
        }
        if (is_null($attachmentType) || (is_array($attachmentType) && empty($attachmentType))) {
            unset($this->attachmentType);
        } else {
            $this->attachmentType = $attachmentType;
        }
        return $this;
    }
    /**
     * Get businessType value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getBusinessType()
    {
        return isset($this->businessType) ? $this->businessType : null;
    }
    /**
     * Set businessType value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $businessType
     * @return \Payktm\StructType\Attachment
     */
    public function setBusinessType($businessType = null)
    {
        // validation for constraint: string
        if (!is_null($businessType) && !is_string($businessType)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($businessType)), __LINE__);
        }
        if (is_null($businessType) || (is_array($businessType) && empty($businessType))) {
            unset($this->businessType);
        } else {
            $this->businessType = $businessType;
        }
        return $this;
    }
    /**
     * Get contractId value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getContractId()
    {
        return isset($this->contractId) ? $this->contractId : null;
    }
    /**
     * Set contractId value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $contractId
     * @return \Payktm\StructType\Attachment
     */
    public function setContractId($contractId = null)
    {
        // validation for constraint: string
        if (!is_null($contractId) && !is_string($contractId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($contractId)), __LINE__);
        }
        if (is_null($contractId) || (is_array($contractId) && empty($contractId))) {
            unset($this->contractId);
        } else {
            $this->contractId = $contractId;
        }
        return $this;
    }
    /**
     * Get createDate value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getCreateDate()
    {
        return isset($this->createDate) ? $this->createDate : null;
    }
    /**
     * Set createDate value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $createDate
     * @return \Payktm\StructType\Attachment
     */
    public function setCreateDate($createDate = null)
    {
        // validation for constraint: string
        if (!is_null($createDate) && !is_string($createDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($createDate)), __LINE__);
        }
        if (is_null($createDate) || (is_array($createDate) && empty($createDate))) {
            unset($this->createDate);
        } else {
            $this->createDate = $createDate;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Payktm\StructType\Attachment
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
