<?php

namespace Payktm\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for cardRecall StructType
 * @subpackage Structs
 */
class CardRecall extends AbstractStructBase
{
    /**
     * The commonHeader
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \Payktm\StructType\CommonHeader
     */
    public $commonHeader;
    /**
     * The dealerCardInfoReq
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \Payktm\StructType\DealerCardInfoReq
     */
    public $dealerCardInfoReq;
    /**
     * Constructor method for cardRecall
     * @uses CardRecall::setCommonHeader()
     * @uses CardRecall::setDealerCardInfoReq()
     * @param \Payktm\StructType\CommonHeader $commonHeader
     * @param \Payktm\StructType\DealerCardInfoReq $dealerCardInfoReq
     */
    public function __construct(\Payktm\StructType\CommonHeader $commonHeader = null, \Payktm\StructType\DealerCardInfoReq $dealerCardInfoReq = null)
    {
        $this
            ->setCommonHeader($commonHeader)
            ->setDealerCardInfoReq($dealerCardInfoReq);
    }
    /**
     * Get commonHeader value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \Payktm\StructType\CommonHeader|null
     */
    public function getCommonHeader()
    {
        return isset($this->commonHeader) ? $this->commonHeader : null;
    }
    /**
     * Set commonHeader value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \Payktm\StructType\CommonHeader $commonHeader
     * @return \Payktm\StructType\CardRecall
     */
    public function setCommonHeader(\Payktm\StructType\CommonHeader $commonHeader = null)
    {
        if (is_null($commonHeader) || (is_array($commonHeader) && empty($commonHeader))) {
            unset($this->commonHeader);
        } else {
            $this->commonHeader = $commonHeader;
        }
        return $this;
    }
    /**
     * Get dealerCardInfoReq value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \Payktm\StructType\DealerCardInfoReq|null
     */
    public function getDealerCardInfoReq()
    {
        return isset($this->dealerCardInfoReq) ? $this->dealerCardInfoReq : null;
    }
    /**
     * Set dealerCardInfoReq value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \Payktm\StructType\DealerCardInfoReq $dealerCardInfoReq
     * @return \Payktm\StructType\CardRecall
     */
    public function setDealerCardInfoReq(\Payktm\StructType\DealerCardInfoReq $dealerCardInfoReq = null)
    {
        if (is_null($dealerCardInfoReq) || (is_array($dealerCardInfoReq) && empty($dealerCardInfoReq))) {
            unset($this->dealerCardInfoReq);
        } else {
            $this->dealerCardInfoReq = $dealerCardInfoReq;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Payktm\StructType\CardRecall
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
