<?php

namespace Payktm\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CommonHeader StructType
 * @subpackage Structs
 */
class CommonHeader extends AbstractStructBase
{
    /**
     * The acceptChannel
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $acceptChannel;
    /**
     * The acceptDate
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $acceptDate;
    /**
     * The acceptIP
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $acceptIP;
    /**
     * The acceptType
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $acceptType;
    /**
     * Constructor method for CommonHeader
     * @uses CommonHeader::setAcceptChannel()
     * @uses CommonHeader::setAcceptDate()
     * @uses CommonHeader::setAcceptIP()
     * @uses CommonHeader::setAcceptType()
     * @param string $acceptChannel
     * @param string $acceptDate
     * @param string $acceptIP
     * @param string $acceptType
     */
    public function __construct($acceptChannel = null, $acceptDate = null, $acceptIP = null, $acceptType = null)
    {
        $this
            ->setAcceptChannel($acceptChannel)
            ->setAcceptDate($acceptDate)
            ->setAcceptIP($acceptIP)
            ->setAcceptType($acceptType);
    }
    /**
     * Get acceptChannel value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getAcceptChannel()
    {
        return isset($this->acceptChannel) ? $this->acceptChannel : null;
    }
    /**
     * Set acceptChannel value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $acceptChannel
     * @return \Payktm\StructType\CommonHeader
     */
    public function setAcceptChannel($acceptChannel = null)
    {
        // validation for constraint: string
        if (!is_null($acceptChannel) && !is_string($acceptChannel)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($acceptChannel)), __LINE__);
        }
        if (is_null($acceptChannel) || (is_array($acceptChannel) && empty($acceptChannel))) {
            unset($this->acceptChannel);
        } else {
            $this->acceptChannel = $acceptChannel;
        }
        return $this;
    }
    /**
     * Get acceptDate value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getAcceptDate()
    {
        return isset($this->acceptDate) ? $this->acceptDate : null;
    }
    /**
     * Set acceptDate value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $acceptDate
     * @return \Payktm\StructType\CommonHeader
     */
    public function setAcceptDate($acceptDate = null)
    {
        // validation for constraint: string
        if (!is_null($acceptDate) && !is_string($acceptDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($acceptDate)), __LINE__);
        }
        if (is_null($acceptDate) || (is_array($acceptDate) && empty($acceptDate))) {
            unset($this->acceptDate);
        } else {
            $this->acceptDate = $acceptDate;
        }
        return $this;
    }
    /**
     * Get acceptIP value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getAcceptIP()
    {
        return isset($this->acceptIP) ? $this->acceptIP : null;
    }
    /**
     * Set acceptIP value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $acceptIP
     * @return \Payktm\StructType\CommonHeader
     */
    public function setAcceptIP($acceptIP = null)
    {
        // validation for constraint: string
        if (!is_null($acceptIP) && !is_string($acceptIP)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($acceptIP)), __LINE__);
        }
        if (is_null($acceptIP) || (is_array($acceptIP) && empty($acceptIP))) {
            unset($this->acceptIP);
        } else {
            $this->acceptIP = $acceptIP;
        }
        return $this;
    }
    /**
     * Get acceptType value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getAcceptType()
    {
        return isset($this->acceptType) ? $this->acceptType : null;
    }
    /**
     * Set acceptType value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $acceptType
     * @return \Payktm\StructType\CommonHeader
     */
    public function setAcceptType($acceptType = null)
    {
        // validation for constraint: string
        if (!is_null($acceptType) && !is_string($acceptType)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($acceptType)), __LINE__);
        }
        if (is_null($acceptType) || (is_array($acceptType) && empty($acceptType))) {
            unset($this->acceptType);
        } else {
            $this->acceptType = $acceptType;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Payktm\StructType\CommonHeader
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
