<?php

namespace Payktm\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DealerFileInfo StructType
 * @subpackage Structs
 */
class DealerFileInfo extends AbstractStructBase
{
    /**
     * The attachmentId
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $attachmentId;
    /**
     * The attachmentName
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $attachmentName;
    /**
     * The attachmentPatch
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $attachmentPatch;
    /**
     * The attachmentSize
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $attachmentSize;
    /**
     * The attachmentType
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $attachmentType;
    /**
     * The createDate
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $createDate;
    /**
     * The dealerId
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $dealerId;
    /**
     * The memo
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $memo;
    /**
     * The opId
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $opId;
    /**
     * Constructor method for DealerFileInfo
     * @uses DealerFileInfo::setAttachmentId()
     * @uses DealerFileInfo::setAttachmentName()
     * @uses DealerFileInfo::setAttachmentPatch()
     * @uses DealerFileInfo::setAttachmentSize()
     * @uses DealerFileInfo::setAttachmentType()
     * @uses DealerFileInfo::setCreateDate()
     * @uses DealerFileInfo::setDealerId()
     * @uses DealerFileInfo::setMemo()
     * @uses DealerFileInfo::setOpId()
     * @param string $attachmentId
     * @param string $attachmentName
     * @param string $attachmentPatch
     * @param string $attachmentSize
     * @param string $attachmentType
     * @param string $createDate
     * @param string $dealerId
     * @param string $memo
     * @param string $opId
     */
    public function __construct($attachmentId = null, $attachmentName = null, $attachmentPatch = null, $attachmentSize = null, $attachmentType = null, $createDate = null, $dealerId = null, $memo = null, $opId = null)
    {
        $this
            ->setAttachmentId($attachmentId)
            ->setAttachmentName($attachmentName)
            ->setAttachmentPatch($attachmentPatch)
            ->setAttachmentSize($attachmentSize)
            ->setAttachmentType($attachmentType)
            ->setCreateDate($createDate)
            ->setDealerId($dealerId)
            ->setMemo($memo)
            ->setOpId($opId);
    }
    /**
     * Get attachmentId value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getAttachmentId()
    {
        return isset($this->attachmentId) ? $this->attachmentId : null;
    }
    /**
     * Set attachmentId value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $attachmentId
     * @return \Payktm\StructType\DealerFileInfo
     */
    public function setAttachmentId($attachmentId = null)
    {
        // validation for constraint: string
        if (!is_null($attachmentId) && !is_string($attachmentId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($attachmentId)), __LINE__);
        }
        if (is_null($attachmentId) || (is_array($attachmentId) && empty($attachmentId))) {
            unset($this->attachmentId);
        } else {
            $this->attachmentId = $attachmentId;
        }
        return $this;
    }
    /**
     * Get attachmentName value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getAttachmentName()
    {
        return isset($this->attachmentName) ? $this->attachmentName : null;
    }
    /**
     * Set attachmentName value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $attachmentName
     * @return \Payktm\StructType\DealerFileInfo
     */
    public function setAttachmentName($attachmentName = null)
    {
        // validation for constraint: string
        if (!is_null($attachmentName) && !is_string($attachmentName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($attachmentName)), __LINE__);
        }
        if (is_null($attachmentName) || (is_array($attachmentName) && empty($attachmentName))) {
            unset($this->attachmentName);
        } else {
            $this->attachmentName = $attachmentName;
        }
        return $this;
    }
    /**
     * Get attachmentPatch value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getAttachmentPatch()
    {
        return isset($this->attachmentPatch) ? $this->attachmentPatch : null;
    }
    /**
     * Set attachmentPatch value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $attachmentPatch
     * @return \Payktm\StructType\DealerFileInfo
     */
    public function setAttachmentPatch($attachmentPatch = null)
    {
        // validation for constraint: string
        if (!is_null($attachmentPatch) && !is_string($attachmentPatch)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($attachmentPatch)), __LINE__);
        }
        if (is_null($attachmentPatch) || (is_array($attachmentPatch) && empty($attachmentPatch))) {
            unset($this->attachmentPatch);
        } else {
            $this->attachmentPatch = $attachmentPatch;
        }
        return $this;
    }
    /**
     * Get attachmentSize value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getAttachmentSize()
    {
        return isset($this->attachmentSize) ? $this->attachmentSize : null;
    }
    /**
     * Set attachmentSize value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $attachmentSize
     * @return \Payktm\StructType\DealerFileInfo
     */
    public function setAttachmentSize($attachmentSize = null)
    {
        // validation for constraint: string
        if (!is_null($attachmentSize) && !is_string($attachmentSize)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($attachmentSize)), __LINE__);
        }
        if (is_null($attachmentSize) || (is_array($attachmentSize) && empty($attachmentSize))) {
            unset($this->attachmentSize);
        } else {
            $this->attachmentSize = $attachmentSize;
        }
        return $this;
    }
    /**
     * Get attachmentType value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getAttachmentType()
    {
        return isset($this->attachmentType) ? $this->attachmentType : null;
    }
    /**
     * Set attachmentType value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $attachmentType
     * @return \Payktm\StructType\DealerFileInfo
     */
    public function setAttachmentType($attachmentType = null)
    {
        // validation for constraint: string
        if (!is_null($attachmentType) && !is_string($attachmentType)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($attachmentType)), __LINE__);
        }
        if (is_null($attachmentType) || (is_array($attachmentType) && empty($attachmentType))) {
            unset($this->attachmentType);
        } else {
            $this->attachmentType = $attachmentType;
        }
        return $this;
    }
    /**
     * Get createDate value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getCreateDate()
    {
        return isset($this->createDate) ? $this->createDate : null;
    }
    /**
     * Set createDate value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $createDate
     * @return \Payktm\StructType\DealerFileInfo
     */
    public function setCreateDate($createDate = null)
    {
        // validation for constraint: string
        if (!is_null($createDate) && !is_string($createDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($createDate)), __LINE__);
        }
        if (is_null($createDate) || (is_array($createDate) && empty($createDate))) {
            unset($this->createDate);
        } else {
            $this->createDate = $createDate;
        }
        return $this;
    }
    /**
     * Get dealerId value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getDealerId()
    {
        return isset($this->dealerId) ? $this->dealerId : null;
    }
    /**
     * Set dealerId value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $dealerId
     * @return \Payktm\StructType\DealerFileInfo
     */
    public function setDealerId($dealerId = null)
    {
        // validation for constraint: string
        if (!is_null($dealerId) && !is_string($dealerId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($dealerId)), __LINE__);
        }
        if (is_null($dealerId) || (is_array($dealerId) && empty($dealerId))) {
            unset($this->dealerId);
        } else {
            $this->dealerId = $dealerId;
        }
        return $this;
    }
    /**
     * Get memo value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getMemo()
    {
        return isset($this->memo) ? $this->memo : null;
    }
    /**
     * Set memo value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $memo
     * @return \Payktm\StructType\DealerFileInfo
     */
    public function setMemo($memo = null)
    {
        // validation for constraint: string
        if (!is_null($memo) && !is_string($memo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($memo)), __LINE__);
        }
        if (is_null($memo) || (is_array($memo) && empty($memo))) {
            unset($this->memo);
        } else {
            $this->memo = $memo;
        }
        return $this;
    }
    /**
     * Get opId value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getOpId()
    {
        return isset($this->opId) ? $this->opId : null;
    }
    /**
     * Set opId value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $opId
     * @return \Payktm\StructType\DealerFileInfo
     */
    public function setOpId($opId = null)
    {
        // validation for constraint: string
        if (!is_null($opId) && !is_string($opId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($opId)), __LINE__);
        }
        if (is_null($opId) || (is_array($opId) && empty($opId))) {
            unset($this->opId);
        } else {
            $this->opId = $opId;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Payktm\StructType\DealerFileInfo
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
