<?php

namespace Payktm\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DealerPasswordChgReq StructType
 * @subpackage Structs
 */
class DealerPasswordChgReq extends AbstractStructBase
{
    /**
     * The dealerId
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $dealerId;
    /**
     * The newPassword
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $newPassword;
    /**
     * The oldPassword
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $oldPassword;
    /**
     * The operType
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $operType;
    /**
     * Constructor method for DealerPasswordChgReq
     * @uses DealerPasswordChgReq::setDealerId()
     * @uses DealerPasswordChgReq::setNewPassword()
     * @uses DealerPasswordChgReq::setOldPassword()
     * @uses DealerPasswordChgReq::setOperType()
     * @param string $dealerId
     * @param string $newPassword
     * @param string $oldPassword
     * @param string $operType
     */
    public function __construct($dealerId = null, $newPassword = null, $oldPassword = null, $operType = null)
    {
        $this
            ->setDealerId($dealerId)
            ->setNewPassword($newPassword)
            ->setOldPassword($oldPassword)
            ->setOperType($operType);
    }
    /**
     * Get dealerId value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getDealerId()
    {
        return isset($this->dealerId) ? $this->dealerId : null;
    }
    /**
     * Set dealerId value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $dealerId
     * @return \Payktm\StructType\DealerPasswordChgReq
     */
    public function setDealerId($dealerId = null)
    {
        // validation for constraint: string
        if (!is_null($dealerId) && !is_string($dealerId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($dealerId)), __LINE__);
        }
        if (is_null($dealerId) || (is_array($dealerId) && empty($dealerId))) {
            unset($this->dealerId);
        } else {
            $this->dealerId = $dealerId;
        }
        return $this;
    }
    /**
     * Get newPassword value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getNewPassword()
    {
        return isset($this->newPassword) ? $this->newPassword : null;
    }
    /**
     * Set newPassword value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $newPassword
     * @return \Payktm\StructType\DealerPasswordChgReq
     */
    public function setNewPassword($newPassword = null)
    {
        // validation for constraint: string
        if (!is_null($newPassword) && !is_string($newPassword)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($newPassword)), __LINE__);
        }
        if (is_null($newPassword) || (is_array($newPassword) && empty($newPassword))) {
            unset($this->newPassword);
        } else {
            $this->newPassword = $newPassword;
        }
        return $this;
    }
    /**
     * Get oldPassword value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getOldPassword()
    {
        return isset($this->oldPassword) ? $this->oldPassword : null;
    }
    /**
     * Set oldPassword value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $oldPassword
     * @return \Payktm\StructType\DealerPasswordChgReq
     */
    public function setOldPassword($oldPassword = null)
    {
        // validation for constraint: string
        if (!is_null($oldPassword) && !is_string($oldPassword)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($oldPassword)), __LINE__);
        }
        if (is_null($oldPassword) || (is_array($oldPassword) && empty($oldPassword))) {
            unset($this->oldPassword);
        } else {
            $this->oldPassword = $oldPassword;
        }
        return $this;
    }
    /**
     * Get operType value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getOperType()
    {
        return isset($this->operType) ? $this->operType : null;
    }
    /**
     * Set operType value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $operType
     * @return \Payktm\StructType\DealerPasswordChgReq
     */
    public function setOperType($operType = null)
    {
        // validation for constraint: string
        if (!is_null($operType) && !is_string($operType)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($operType)), __LINE__);
        }
        if (is_null($operType) || (is_array($operType) && empty($operType))) {
            unset($this->operType);
        } else {
            $this->operType = $operType;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Payktm\StructType\DealerPasswordChgReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
