<?php

namespace Payktm\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ETopupRollbackReq StructType
 * @subpackage Structs
 */
class ETopupRollbackReq extends AbstractStructBase
{
    /**
     * The etopupRecord
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \Payktm\StructType\ETopupRecord[]
     */
    public $etopupRecord;
    /**
     * Constructor method for ETopupRollbackReq
     * @uses ETopupRollbackReq::setEtopupRecord()
     * @param \Payktm\StructType\ETopupRecord[] $etopupRecord
     */
    public function __construct(array $etopupRecord = array())
    {
        $this
            ->setEtopupRecord($etopupRecord);
    }
    /**
     * Get etopupRecord value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \Payktm\StructType\ETopupRecord[]|null
     */
    public function getEtopupRecord()
    {
        return isset($this->etopupRecord) ? $this->etopupRecord : null;
    }
    /**
     * Set etopupRecord value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \Payktm\StructType\ETopupRecord[] $etopupRecord
     * @return \Payktm\StructType\ETopupRollbackReq
     */
    public function setEtopupRecord(array $etopupRecord = array())
    {
        foreach ($etopupRecord as $eTopupRollbackReqEtopupRecordItem) {
            // validation for constraint: itemType
            if (!$eTopupRollbackReqEtopupRecordItem instanceof \Payktm\StructType\ETopupRecord) {
                throw new \InvalidArgumentException(sprintf('The etopupRecord property can only contain items of \Payktm\StructType\ETopupRecord, "%s" given', is_object($eTopupRollbackReqEtopupRecordItem) ? get_class($eTopupRollbackReqEtopupRecordItem) : gettype($eTopupRollbackReqEtopupRecordItem)), __LINE__);
            }
        }
        if (is_null($etopupRecord) || (is_array($etopupRecord) && empty($etopupRecord))) {
            unset($this->etopupRecord);
        } else {
            $this->etopupRecord = $etopupRecord;
        }
        return $this;
    }
    /**
     * Add item to etopupRecord value
     * @throws \InvalidArgumentException
     * @param \Payktm\StructType\ETopupRecord $item
     * @return \Payktm\StructType\ETopupRollbackReq
     */
    public function addToEtopupRecord(\Payktm\StructType\ETopupRecord $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \Payktm\StructType\ETopupRecord) {
            throw new \InvalidArgumentException(sprintf('The etopupRecord property can only contain items of \Payktm\StructType\ETopupRecord, "%s" given', is_object($item) ? get_class($item) : gettype($item)), __LINE__);
        }
        $this->etopupRecord[] = $item;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Payktm\StructType\ETopupRollbackReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
