<?php

namespace Payktm\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ETopupThresholdCheckReq StructType
 * @subpackage Structs
 */
class ETopupThresholdCheckReq extends AbstractStructBase
{
    /**
     * The amount
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $amount;
    /**
     * The loginOrOperate
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $loginOrOperate;
    /**
     * The optType
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $optType;
    /**
     * The sourceNumber
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $sourceNumber;
    /**
     * The srcAccountNo
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $srcAccountNo;
    /**
     * The targetNumber
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $targetNumber;
    /**
     * The tradePassword
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $tradePassword;
    /**
     * Constructor method for ETopupThresholdCheckReq
     * @uses ETopupThresholdCheckReq::setAmount()
     * @uses ETopupThresholdCheckReq::setLoginOrOperate()
     * @uses ETopupThresholdCheckReq::setOptType()
     * @uses ETopupThresholdCheckReq::setSourceNumber()
     * @uses ETopupThresholdCheckReq::setSrcAccountNo()
     * @uses ETopupThresholdCheckReq::setTargetNumber()
     * @uses ETopupThresholdCheckReq::setTradePassword()
     * @param string $amount
     * @param string $loginOrOperate
     * @param string $optType
     * @param string $sourceNumber
     * @param string $srcAccountNo
     * @param string $targetNumber
     * @param string $tradePassword
     */
    public function __construct($amount = null, $loginOrOperate = null, $optType = null, $sourceNumber = null, $srcAccountNo = null, $targetNumber = null, $tradePassword = null)
    {
        $this
            ->setAmount($amount)
            ->setLoginOrOperate($loginOrOperate)
            ->setOptType($optType)
            ->setSourceNumber($sourceNumber)
            ->setSrcAccountNo($srcAccountNo)
            ->setTargetNumber($targetNumber)
            ->setTradePassword($tradePassword);
    }
    /**
     * Get amount value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getAmount()
    {
        return isset($this->amount) ? $this->amount : null;
    }
    /**
     * Set amount value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $amount
     * @return \Payktm\StructType\ETopupThresholdCheckReq
     */
    public function setAmount($amount = null)
    {
        // validation for constraint: string
        if (!is_null($amount) && !is_string($amount)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($amount)), __LINE__);
        }
        if (is_null($amount) || (is_array($amount) && empty($amount))) {
            unset($this->amount);
        } else {
            $this->amount = $amount;
        }
        return $this;
    }
    /**
     * Get loginOrOperate value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getLoginOrOperate()
    {
        return isset($this->loginOrOperate) ? $this->loginOrOperate : null;
    }
    /**
     * Set loginOrOperate value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $loginOrOperate
     * @return \Payktm\StructType\ETopupThresholdCheckReq
     */
    public function setLoginOrOperate($loginOrOperate = null)
    {
        // validation for constraint: string
        if (!is_null($loginOrOperate) && !is_string($loginOrOperate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($loginOrOperate)), __LINE__);
        }
        if (is_null($loginOrOperate) || (is_array($loginOrOperate) && empty($loginOrOperate))) {
            unset($this->loginOrOperate);
        } else {
            $this->loginOrOperate = $loginOrOperate;
        }
        return $this;
    }
    /**
     * Get optType value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getOptType()
    {
        return isset($this->optType) ? $this->optType : null;
    }
    /**
     * Set optType value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $optType
     * @return \Payktm\StructType\ETopupThresholdCheckReq
     */
    public function setOptType($optType = null)
    {
        // validation for constraint: string
        if (!is_null($optType) && !is_string($optType)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($optType)), __LINE__);
        }
        if (is_null($optType) || (is_array($optType) && empty($optType))) {
            unset($this->optType);
        } else {
            $this->optType = $optType;
        }
        return $this;
    }
    /**
     * Get sourceNumber value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getSourceNumber()
    {
        return isset($this->sourceNumber) ? $this->sourceNumber : null;
    }
    /**
     * Set sourceNumber value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $sourceNumber
     * @return \Payktm\StructType\ETopupThresholdCheckReq
     */
    public function setSourceNumber($sourceNumber = null)
    {
        // validation for constraint: string
        if (!is_null($sourceNumber) && !is_string($sourceNumber)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sourceNumber)), __LINE__);
        }
        if (is_null($sourceNumber) || (is_array($sourceNumber) && empty($sourceNumber))) {
            unset($this->sourceNumber);
        } else {
            $this->sourceNumber = $sourceNumber;
        }
        return $this;
    }
    /**
     * Get srcAccountNo value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getSrcAccountNo()
    {
        return isset($this->srcAccountNo) ? $this->srcAccountNo : null;
    }
    /**
     * Set srcAccountNo value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $srcAccountNo
     * @return \Payktm\StructType\ETopupThresholdCheckReq
     */
    public function setSrcAccountNo($srcAccountNo = null)
    {
        // validation for constraint: string
        if (!is_null($srcAccountNo) && !is_string($srcAccountNo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($srcAccountNo)), __LINE__);
        }
        if (is_null($srcAccountNo) || (is_array($srcAccountNo) && empty($srcAccountNo))) {
            unset($this->srcAccountNo);
        } else {
            $this->srcAccountNo = $srcAccountNo;
        }
        return $this;
    }
    /**
     * Get targetNumber value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getTargetNumber()
    {
        return isset($this->targetNumber) ? $this->targetNumber : null;
    }
    /**
     * Set targetNumber value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $targetNumber
     * @return \Payktm\StructType\ETopupThresholdCheckReq
     */
    public function setTargetNumber($targetNumber = null)
    {
        // validation for constraint: string
        if (!is_null($targetNumber) && !is_string($targetNumber)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($targetNumber)), __LINE__);
        }
        if (is_null($targetNumber) || (is_array($targetNumber) && empty($targetNumber))) {
            unset($this->targetNumber);
        } else {
            $this->targetNumber = $targetNumber;
        }
        return $this;
    }
    /**
     * Get tradePassword value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getTradePassword()
    {
        return isset($this->tradePassword) ? $this->tradePassword : null;
    }
    /**
     * Set tradePassword value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $tradePassword
     * @return \Payktm\StructType\ETopupThresholdCheckReq
     */
    public function setTradePassword($tradePassword = null)
    {
        // validation for constraint: string
        if (!is_null($tradePassword) && !is_string($tradePassword)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($tradePassword)), __LINE__);
        }
        if (is_null($tradePassword) || (is_array($tradePassword) && empty($tradePassword))) {
            unset($this->tradePassword);
        } else {
            $this->tradePassword = $tradePassword;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Payktm\StructType\ETopupThresholdCheckReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
