<?php

namespace Payktm\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for getSRECardInfo StructType
 * @subpackage Structs
 */
class GetSRECardInfo extends AbstractStructBase
{
    /**
     * The commonHeader
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \Payktm\StructType\CommonHeader
     */
    public $commonHeader;
    /**
     * The dealerCardReq
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \Payktm\StructType\DealerCardReq
     */
    public $dealerCardReq;
    /**
     * Constructor method for getSRECardInfo
     * @uses GetSRECardInfo::setCommonHeader()
     * @uses GetSRECardInfo::setDealerCardReq()
     * @param \Payktm\StructType\CommonHeader $commonHeader
     * @param \Payktm\StructType\DealerCardReq $dealerCardReq
     */
    public function __construct(\Payktm\StructType\CommonHeader $commonHeader = null, \Payktm\StructType\DealerCardReq $dealerCardReq = null)
    {
        $this
            ->setCommonHeader($commonHeader)
            ->setDealerCardReq($dealerCardReq);
    }
    /**
     * Get commonHeader value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \Payktm\StructType\CommonHeader|null
     */
    public function getCommonHeader()
    {
        return isset($this->commonHeader) ? $this->commonHeader : null;
    }
    /**
     * Set commonHeader value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \Payktm\StructType\CommonHeader $commonHeader
     * @return \Payktm\StructType\GetSRECardInfo
     */
    public function setCommonHeader(\Payktm\StructType\CommonHeader $commonHeader = null)
    {
        if (is_null($commonHeader) || (is_array($commonHeader) && empty($commonHeader))) {
            unset($this->commonHeader);
        } else {
            $this->commonHeader = $commonHeader;
        }
        return $this;
    }
    /**
     * Get dealerCardReq value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \Payktm\StructType\DealerCardReq|null
     */
    public function getDealerCardReq()
    {
        return isset($this->dealerCardReq) ? $this->dealerCardReq : null;
    }
    /**
     * Set dealerCardReq value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \Payktm\StructType\DealerCardReq $dealerCardReq
     * @return \Payktm\StructType\GetSRECardInfo
     */
    public function setDealerCardReq(\Payktm\StructType\DealerCardReq $dealerCardReq = null)
    {
        if (is_null($dealerCardReq) || (is_array($dealerCardReq) && empty($dealerCardReq))) {
            unset($this->dealerCardReq);
        } else {
            $this->dealerCardReq = $dealerCardReq;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Payktm\StructType\GetSRECardInfo
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
