<?php

namespace Payktm\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ResponseDealerServiceInfoUpdate StructType
 * @subpackage Structs
 */
class ResponseDealerServiceInfoUpdate extends AbstractStructBase
{
    /**
     * The dealerServiceSaveRsp
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \Payktm\StructType\DealerServiceSaveRsp
     */
    public $dealerServiceSaveRsp;
    /**
     * The responseHeader
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \Payktm\StructType\ResponseHeader
     */
    public $responseHeader;
    /**
     * Constructor method for ResponseDealerServiceInfoUpdate
     * @uses ResponseDealerServiceInfoUpdate::setDealerServiceSaveRsp()
     * @uses ResponseDealerServiceInfoUpdate::setResponseHeader()
     * @param \Payktm\StructType\DealerServiceSaveRsp $dealerServiceSaveRsp
     * @param \Payktm\StructType\ResponseHeader $responseHeader
     */
    public function __construct(\Payktm\StructType\DealerServiceSaveRsp $dealerServiceSaveRsp = null, \Payktm\StructType\ResponseHeader $responseHeader = null)
    {
        $this
            ->setDealerServiceSaveRsp($dealerServiceSaveRsp)
            ->setResponseHeader($responseHeader);
    }
    /**
     * Get dealerServiceSaveRsp value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \Payktm\StructType\DealerServiceSaveRsp|null
     */
    public function getDealerServiceSaveRsp()
    {
        return isset($this->dealerServiceSaveRsp) ? $this->dealerServiceSaveRsp : null;
    }
    /**
     * Set dealerServiceSaveRsp value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \Payktm\StructType\DealerServiceSaveRsp $dealerServiceSaveRsp
     * @return \Payktm\StructType\ResponseDealerServiceInfoUpdate
     */
    public function setDealerServiceSaveRsp(\Payktm\StructType\DealerServiceSaveRsp $dealerServiceSaveRsp = null)
    {
        if (is_null($dealerServiceSaveRsp) || (is_array($dealerServiceSaveRsp) && empty($dealerServiceSaveRsp))) {
            unset($this->dealerServiceSaveRsp);
        } else {
            $this->dealerServiceSaveRsp = $dealerServiceSaveRsp;
        }
        return $this;
    }
    /**
     * Get responseHeader value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \Payktm\StructType\ResponseHeader|null
     */
    public function getResponseHeader()
    {
        return isset($this->responseHeader) ? $this->responseHeader : null;
    }
    /**
     * Set responseHeader value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \Payktm\StructType\ResponseHeader $responseHeader
     * @return \Payktm\StructType\ResponseDealerServiceInfoUpdate
     */
    public function setResponseHeader(\Payktm\StructType\ResponseHeader $responseHeader = null)
    {
        if (is_null($responseHeader) || (is_array($responseHeader) && empty($responseHeader))) {
            unset($this->responseHeader);
        } else {
            $this->responseHeader = $responseHeader;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Payktm\StructType\ResponseDealerServiceInfoUpdate
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
