<?php

namespace Payktm\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ResponseUnSelectServiceQuery StructType
 * @subpackage Structs
 */
class ResponseUnSelectServiceQuery extends AbstractStructBase
{
    /**
     * The responseHeader
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \Payktm\StructType\ResponseHeader
     */
    public $responseHeader;
    /**
     * The unSelectServiceRsp
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \Payktm\StructType\UnSelectServiceRsp
     */
    public $unSelectServiceRsp;
    /**
     * Constructor method for ResponseUnSelectServiceQuery
     * @uses ResponseUnSelectServiceQuery::setResponseHeader()
     * @uses ResponseUnSelectServiceQuery::setUnSelectServiceRsp()
     * @param \Payktm\StructType\ResponseHeader $responseHeader
     * @param \Payktm\StructType\UnSelectServiceRsp $unSelectServiceRsp
     */
    public function __construct(\Payktm\StructType\ResponseHeader $responseHeader = null, \Payktm\StructType\UnSelectServiceRsp $unSelectServiceRsp = null)
    {
        $this
            ->setResponseHeader($responseHeader)
            ->setUnSelectServiceRsp($unSelectServiceRsp);
    }
    /**
     * Get responseHeader value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \Payktm\StructType\ResponseHeader|null
     */
    public function getResponseHeader()
    {
        return isset($this->responseHeader) ? $this->responseHeader : null;
    }
    /**
     * Set responseHeader value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \Payktm\StructType\ResponseHeader $responseHeader
     * @return \Payktm\StructType\ResponseUnSelectServiceQuery
     */
    public function setResponseHeader(\Payktm\StructType\ResponseHeader $responseHeader = null)
    {
        if (is_null($responseHeader) || (is_array($responseHeader) && empty($responseHeader))) {
            unset($this->responseHeader);
        } else {
            $this->responseHeader = $responseHeader;
        }
        return $this;
    }
    /**
     * Get unSelectServiceRsp value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \Payktm\StructType\UnSelectServiceRsp|null
     */
    public function getUnSelectServiceRsp()
    {
        return isset($this->unSelectServiceRsp) ? $this->unSelectServiceRsp : null;
    }
    /**
     * Set unSelectServiceRsp value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \Payktm\StructType\UnSelectServiceRsp $unSelectServiceRsp
     * @return \Payktm\StructType\ResponseUnSelectServiceQuery
     */
    public function setUnSelectServiceRsp(\Payktm\StructType\UnSelectServiceRsp $unSelectServiceRsp = null)
    {
        if (is_null($unSelectServiceRsp) || (is_array($unSelectServiceRsp) && empty($unSelectServiceRsp))) {
            unset($this->unSelectServiceRsp);
        } else {
            $this->unSelectServiceRsp = $unSelectServiceRsp;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \Payktm\StructType\ResponseUnSelectServiceQuery
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
